Debian Bug report logs - #380174
ITP: xserver-xorg-video-ivtv -- X.Org X server -- IVTV display driver

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ian Campbell <ijc@hellion.org.uk>

Date: Fri, 28 Jul 2006 07:03:01 UTC

Owned by: ian campbell <ijc@hellion.org.uk>

Severity: wishlist

Fixed in version xserver-xorg-video-ivtvdev/0.10.6-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: xserver-xorq-video-ivtv -- X.Org X server -- IVTV display driver
Date: Fri, 28 Jul 2006 07:49:15 +0100
Package: wnpp
Severity: wishlist
Owner: Ian Campbell <ijc@hellion.org.uk>


* Package name    : xserver-xorq-video-ivtv
  Version         : 0.10.6
  Upstream Author : John Harvey <john.p.harvey@btinternet.com>
* URL             : http://www.ivtvdriver.org/
* License         : To be determined.
  Programming Lang: C
  Description     : X.Org X server -- IVTV display driver

This driver for the X.Org X server (see xserver-xorg for a further
description) provides support for the video overlay on cards support by
the IVTV driver (see the ivtv-source package). The IVTV driver supports
card using chipsets frmo the iTVC15 family including the iTVC15 (CX24315)
and iTVC16 (CX24316). These chips are commonly found on Hauppauge's WinTV
PVR-250 and PVR-350 TV capture cards.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (900, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-686
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=en_GB.ISO-8859-15 (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #10 received at 380174@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Ian Campbell <ijc@hellion.org.uk>, 380174@bugs.debian.org
Cc: Debian-Devel <debian-devel@lists.debian.org>
Subject: Re: Bug#380174: ITP: xserver-xorq-video-ivtv -- X.Org X server -- IVTV display driver
Date: Fri, 28 Jul 2006 13:42:33 +0200
On 28/07/2006 Ian Campbell wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Ian Campbell <ijc@hellion.org.uk>
> 
> 
> * Package name    : xserver-xorq-video-ivtv

i believe that you meant xserver-xorg-video-ivtv, not xorq ;-)

...
 jonas

>   Version         : 0.10.6
>   Upstream Author : John Harvey <john.p.harvey@btinternet.com>
> * URL             : http://www.ivtvdriver.org/
> * License         : To be determined.
>   Programming Lang: C
>   Description     : X.Org X server -- IVTV display driver
> 
> This driver for the X.Org X server (see xserver-xorg for a further
> description) provides support for the video overlay on cards support by
> the IVTV driver (see the ivtv-source package). The IVTV driver supports
> card using chipsets frmo the iTVC15 family including the iTVC15 (CX24315)
> and iTVC16 (CX24316). These chips are commonly found on Hauppauge's WinTV
> PVR-250 and PVR-350 TV capture cards.
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (900, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.17-1-686
> Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=en_GB.ISO-8859-15 (charmap=ISO-8859-15)
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 



Changed Bug title. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #17 received at 380174@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 380174@bugs.debian.org
Subject: Re: ITP: xserver-xorg-video-ivtv -- X.Org X server -- IVTV display driver
Date: Sat, 30 Sep 2006 17:40:47 -0700
Hi Ian,

Has there been any progress on this ITP?  I've been to the ivtvdriver.org
website, and I can't find any stand-alone driver for xorg 7.x, only the
0.10.6 build that's set up to be unpacked into a monolithic source tree and
built.  I was hoping this ITP meant there was another xorg-ready source
available somewhere, but it seems not. :)

I'd love to see this included in etch, but don't have much time to give to
that myself; I'd be happy at least to sponsor an upload for you if/when you
have something ready.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #22 received at 380174@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Steve Langasek <vorlon@debian.org>, 380174@bugs.debian.org
Cc: David Nusinow <dnusinow@speakeasy.net>
Subject: Re: Bug#380174: ITP: xserver-xorg-video-ivtv -- X.Org X server -- IVTV display driver
Date: Sun, 01 Oct 2006 11:43:25 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2006-09-30 at 17:40 -0700, Steve Langasek wrote:
> Hi Ian,
> 
> Has there been any progress on this ITP?  I've been to the ivtvdriver.org
> website, and I can't find any stand-alone driver for xorg 7.x, only the
> 0.10.6 build that's set up to be unpacked into a monolithic source tree and
> built.  I was hoping this ITP meant there was another xorg-ready source
> available somewhere, but it seems not. :)
> 
> I'd love to see this included in etch, but don't have much time to give to
> that myself; I'd be happy at least to sponsor an upload for you if/when you
> have something ready.

There's a source tree for an xorg 7 version from Gentoo[0] which I have
initial packages based upon[1]. The source files are mostly the same as
the monolithic version, it's just the addition of auto* tools use and
paths to some headers which needed to change.

David Nusinow (CC'd) has offered to be sponsor the packages as part of
the XSF. My plan was to spend today getting them finished up and checked
in to the XSF svn tree. Unfortunately some recent changes in xorg have
broken what I had already so the final tidy up is taking a little longer
than I was expecting.

Ian.

[0] I'm not sure it's actually in Gentoo proper, but it is linked from
http://ivtvdriver.org/index.php/Howto:Gentoo

[1] A version from a few weeks ago is at
http://www.hellion.org.uk/ivtv/debian/ although they don't work with the
current unstable tree.

-- 
Ian Campbell

You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #27 received at 380174@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 380174@bugs.debian.org
Subject: Trouble with X.org 7.1
Date: Tue, 10 Oct 2006 07:06:25 +0100
[Message part 1 (text/plain, inline)]
For information:

I'm having some trouble getting the IVTV X driver to work with X.org
7.1. I've put a call out to the ivtv development list for some help[0]
but I think the X driver is essentially unmaintained upstream.

I'm looking into fixing the issue myself but progress is slow (I'm not
really an X hacker, I don't even play one on TV ;-)).

Ian.

[0] http://www.gossamer-threads.com/lists/ivtv/devel/32242
-- 
Ian Campbell

"Joy is wealth and love is the legal tender of the soul."
		-- Robert G. Ingersoll
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>:
Bug#380174; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, ian campbell <ijc@hellion.org.uk>. Full text and rfc822 format available.

Message #32 received at 380174@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 380174@bugs.debian.org
Subject: Progress update
Date: Tue, 24 Oct 2006 22:34:57 +0100
[Message part 1 (text/plain, inline)]
I've managed to get the driver working with Xorg 7.1:
	http://www.gossamer-threads.com/lists/ivtv/devel/32526

Once I've had some feedback from the mailing list I'll prepare an
upload / speak to my sponsor etc.

Thanks,
Ian.

-- 
Ian Campbell

Never face facts; if you do you'll never get up in the morning.
		-- Marlo Thomas
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ian Campbell <ijc@hellion.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 380174-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 380174-close@bugs.debian.org
Subject: Bug#380174: fixed in xserver-xorg-video-ivtvdev 0.10.6-1
Date: Sun, 19 Nov 2006 09:54:44 -0800
Source: xserver-xorg-video-ivtvdev
Source-Version: 0.10.6-1

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-ivtvdev, which is due to be installed in the Debian FTP archive:

xserver-xorg-video-ivtv_0.10.6-1_i386.deb
  to pool/contrib/x/xserver-xorg-video-ivtvdev/xserver-xorg-video-ivtv_0.10.6-1_i386.deb
xserver-xorg-video-ivtvdev_0.10.6-1.diff.gz
  to pool/contrib/x/xserver-xorg-video-ivtvdev/xserver-xorg-video-ivtvdev_0.10.6-1.diff.gz
xserver-xorg-video-ivtvdev_0.10.6-1.dsc
  to pool/contrib/x/xserver-xorg-video-ivtvdev/xserver-xorg-video-ivtvdev_0.10.6-1.dsc
xserver-xorg-video-ivtvdev_0.10.6.orig.tar.gz
  to pool/contrib/x/xserver-xorg-video-ivtvdev/xserver-xorg-video-ivtvdev_0.10.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 380174@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xserver-xorg-video-ivtvdev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 18 Nov 2006 20:32:31 -0500
Source: xserver-xorg-video-ivtvdev
Binary: xserver-xorg-video-ivtv
Architecture: source i386
Version: 0.10.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xserver-xorg-video-ivtv - X.Org X server -- IVTV display driver
Closes: 380174
Changes: 
 xserver-xorg-video-ivtvdev (0.10.6-1) unstable; urgency=low
 .
   [ Ian Campbell ]
   * First xserver-xorg-driver-ivtv release. (Closes: #380174)
Files: 
 39cd5d21c7147b6d1e91482fba1f4618 997 contrib/x11 extra xserver-xorg-video-ivtvdev_0.10.6-1.dsc
 e303962296b4d93ca8e59f249d8ec6ea 311975 contrib/x11 extra xserver-xorg-video-ivtvdev_0.10.6.orig.tar.gz
 772969f7e15fa67082b5c9043f468e47 19980 contrib/x11 extra xserver-xorg-video-ivtvdev_0.10.6-1.diff.gz
 fe98b7b8b67565f05ae6e836eb782a51 18164 contrib/x11 extra xserver-xorg-video-ivtv_0.10.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFX7YYyLfpNdY0ad8RAr5SAJ9DrayCI5XNjIyOaNkbUY+qy1jbegCeIKxX
yevd4lISMrm15XbBQFHNy7s=
=FH5U
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 18:13:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:47:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.